﻿
--[[

	HubPortier_0.1_LUA5_by_pulsar

	Version: Luadch LUA 5.1x

		- This script sends  welcome/away  messages to the users
]]--



--------------------------------------------------
--[SETTINGS]--------------------------------------
--------------------------------------------------

PortierLogin = {	-- The message will be sent to all when a user logs in

		[ 0 ] = "is back...",  --> UNREG
		[ 10 ] = "is back...",  --> GUEST
		[ 20 ] = "is back...",  --> REG
		[ 30 ] = "is back...",  --> VIP
		[ 40 ] = "is back...",  --> SVIP
		[ 50 ] = "is back...",  --> DISTRIBUTOR
		[ 60 ] = "is back...",  --> OPERATOR
		[ 70 ] = "is back...",  --> SUPERVISOR
		[ 80 ] = "is back...",  --> ADMIN
		[ 100 ] = "is back...",  --> MASTER
}

PortierLogout = {	-- The message will be sent to all when a user logs out

		[ 0 ] = "Now disappears...",  --> UNREG
		[ 10 ] = "Now disappears...",  --> GUEST
		[ 20 ] = "Now disappears...",  --> REG
		[ 30 ] = "Now disappears...",  --> VIP
		[ 40 ] = "Now disappears...",  --> SVIP
		[ 50 ] = "Now disappears...",  --> DISTRIBUTOR
		[ 60 ] = "Now disappears...",  --> OPERATOR
		[ 70 ] = "Now disappears...",  --> SUPERVISOR
		[ 80 ] = "Now disappears...",  --> ADMIN
		[ 100 ] = "Now disappears...",  --> MASTER
}

PortierUserLogin = {	-- The message will be sent to the user when he logs in

		[ 0 ] = "Beautiful you are here again...",  --> UNREG
		[ 10 ] = "Beautiful you are here again...",  --> GUEST
		[ 20 ] = "Beautiful you are here again...",  --> REG
		[ 30 ] = "Beautiful you are here again...",  --> VIP
		[ 40 ] = "Beautiful you are here again...",  --> SVIP
		[ 50 ] = "Beautiful you are here again...",  --> DISTRIBUTOR
		[ 60 ] = "Beautiful you are here again...",  --> OPERATOR
		[ 70 ] = "Beautiful you are here again...",  --> SUPERVISOR
		[ 80 ] = "Beautiful you are here again...",  --> ADMIN
		[ 100 ] = "Beautiful you are here again...",  --> MASTER
}

LevelName = {

		[ 0 ] = "UNREG",
		[ 10 ] = "GUEST",
		[ 20 ] = "REG",
		[ 30 ] = "VIP",
		[ 40 ] = "SVIP",
		[ 50 ] = "DITRIBUTOR",
		[ 60 ] = "OPERATOR",
		[ 70 ] = "SUPERVISOR",
		[ 80 ] = "ADMIN",
		[ 100 ] = "MASTER",
}

--------------------------------------------------
--[CODE]------------------------------------------
--------------------------------------------------

hub:setListener("onLogin", {},
	function(p)
		local usernick = hub:escapeFrom( p.user:getNick() )
		local Prof = LevelName[ p.user:getLevel() ] or "unknown"
		local ProfNr = p.user:getLevel()
		txt = PortierLogin[ProfNr]
		txt2 = PortierUserLogin[ProfNr]
		hub:broadcast{ msg = "*** The "..Prof.." "..usernick.." "..txt.."", from = hub:getBot() }
		p.user:reply{ msg = "*** welcome "..Prof.." "..usernick.." "..txt2.."", from = hub:getBot() }
	end
)

hub:setListener("onLogout", {},
	function(p)
		local usernick = hub:escapeFrom( p.user:getNick() )
		local Prof = LevelName[ p.user:getLevel() ] or "unknown"
		local ProfNr = p.user:getLevel()
		txt3 = PortierLogout[ProfNr]
		hub:broadcast{ msg = "*** The "..Prof.." "..usernick.." "..txt3.."", from = hub:getBot() }
	end
)

hub:debug( "*** Loaded HubPortier_0.1_LUA5_by_pulsar.lua" )

--[END]